## pspp 0.7.9+git20120311

=== debian/changelog ===
pspp (0.7.9+git20120311-1) unstable; urgency=low

  * New upstream snapshot, fix FTBFS on hurd-i386. 
  * debian/copyright: add details about lib/gtk-contrib/*

 -- bojo42 <bojo42@gmail.com>  Mon, 12 Mar 2012 14:29:25 +0100

pspp (0.7.9+git20120303-1) unstable; urgency=low

  * New upstream snapshot, should fix outstanding testsuite failures.
  * debian/control: no Build-Depends for postgresql on hurd-i386

 -- bojo42 <bojo42@gmail.com>  Mon, 05 Mar 2012 01:23:43 +0100

pspp (0.7.9+git20120229-1) unstable; urgency=low

  * New upstream snapshot (Closes: #660854)
  * debian/rules:
    - emit non-zero exit code on testsuite errors in override_dh_auto_test
    - remove possible pregenerated icon cache (Closes: #661573)
  * debian/control: bump Standards-Version to current policy

 -- bojo42 <bojo42@gmail.com>  Wed, 29 Feb 2012 20:15:20 +0100

pspp (0.7.9+git20120219-1) unstable; urgency=low

  * New upstream snapshot (should fix some issues on big-endian)
  * debian/rules: post testsuite.log to build log on failures & typofixes
  * debian/control: reorganize Build-Depends for better overview

 -- bojo42 <bojo42@gmail.com>  Mon, 20 Feb 2012 16:10:46 +0100

pspp (0.7.9+git20120214-1) unstable; urgency=low

  * New maintainer (Closes: #636414)
  * New upstream development snapshot
    - debian/README.Source: notice about upstream source and Gnulib tarball
    - debian/pspp.desktop: drop it as already in upstream
  * Switch to source format 3.0 (quilt)
    - move manual changes to debian/patches/* 
    - drop "psppire-data-editor.c" patch as already in upstream
    - drop "lib/gtksheet/gtkitementry.c" patch as no longer needed
    - drop manual changes to config.guess, config.sub
    - ship Debian's gnulib source as supplementary tarball
  * Switch to minimal debhelper 7 rules & cleanup
    - debian/rules:
      - strip everything that's not needed because of debhelper 7
      - convert desktop icon from SVG and ship SVG
      - there's no /usr/share/info/dir anymore
      - no pref.h.orig & src/version.c to take care of
      - switch to default usage of dh_makeshlibs again
      - use smake
      - remove possibly auto-generated info dir file
    - debian/control:
      - add Uploaders
      - remove obsolete build depends on libplot-dev, libglade2-dev
      - new build depends on libxml2-dev, zlib1g-dev, libcairo2-dev,
        libpango1.0-dev, autoconf, automake, m4, pkg-config, gperf, libtool,
        smake, libgtk2.0-bin, libgtksourceview2.0-dev, libpq-dev, postgresql,
        perl, libtext-diff-perl, librsvg2-bin
      - new version dependency for debhelper, gettext, texinfo
      - bump Standards-Version
      - update Description
    - debian/dirs: strip already present dirs
    - debian/docs: merge from rules & add THANKS, OChangeLog, ONEWS
    - debian/info: move info to pspp.info
    - debian/preinst:
      - handle old conffiles like psfonts & devices
      - use old school style for that as dpkg (>= 1.15.7.2) hinders backports 
    - debian/pspp.manpages: exclude from rules
    - debian/pspp.doc-base: add information about the GUI
    - debian/watch: strip template stuff for Lintian & other boilerplate text
    - delete debian/README.examples, debian/example.stat & debian/myfile.syn
  * Update debian/copyright
    - new copyright holders and remove old email address
    - new download location
    - update the final paragraph of the license text
  * Ship redone SVG icon until we have a nice upstream one

 -- bojo42 <bojo42@gmail.com>  Wed, 15 Feb 2012 14:15:22 +0100

pspp (0.6.2-4) unstable; urgency=low

  * QA upload.
  * Package has been orphaned, set Debian QA as maintainer.
  * Empty dependency_libs field from la files. Closes: #633285.
  * Rename gtk_entry_reset_im_context to my_gtk_entry_reset_im_context,
    avoiding conflict with the one defined in gtkentry.h. Closes: #621986.

 -- Regis Boudin <regis@debian.org>  Tue, 20 Sep 2011 20:38:25 +0100

pspp (0.6.2-3) unstable; urgency=low

  * doc/pspp.man: Docs are in /usr/share/doc and /usr/share/info (thanks
    to Sergio Gelato <Sergio.Gelato@astro.su.se>, closes:Bug#557633).
    Delete reference to pspp FAQ.

 -- James R. Van Zandt <jrv@debian.org>  Mon, 04 Jan 2010 21:19:13 -0500

pspp (0.6.2-2) unstable; urgency=low

  * debian/rules: only delete /usr/share/info/dir if it exists
    (Closes:Bug#555839)

 -- James R. Van Zandt <jrv@debian.org>  Sun, 15 Nov 2009 17:38:36 -0500

pspp (0.6.2-1) unstable; urgency=low

  * New upstream release (Closes:Bug#552744,Bug#549753,Bug#512038)

  * debian/control: depend on libreadline-dev rather than libreadline5-dev
    (per request of Matthias Klose <doko@cs.tu-berlin.de>,
    Closes:Bug#553829), depend on 'dpkg (>= 1.15.4) | install-info' for
    new info file installation process.  Don't call deprecated
    installation helper dh_desktop.  Bump debhelper compatibility version
    to 7.  Bump debian policy to 3.8.3.
  
  * debian/rules: don't install /usr/share/info/dir file.  install calls
    dh_prep instead of dh_clean -k.

 -- James R. Van Zandt <jrv@debian.org>  Mon, 09 Nov 2009 17:10:48 -0500

pspp (0.6.1-4) unstable; urgency=low

  * src/ui/gui/psppire-data-editor.c: prevent data sheet from traversing
    into an invalid column, per fix by John Darrington (see
    http://git.savannah.gnu.org/cgit/pspp.git/commit/?h=stable&id=47aaa033c935d0427abd7cbb591a35450eb7db81)(Closes:Bug#516521)

 -- James R. Van Zandt <jrv@debian.org>  Sat, 28 Feb 2009 22:46:51 -0500

pspp (0.6.1-3) unstable; urgency=low

  * debian/pspp.desktop: Correct name of icon file.

 -- James R. Van Zandt <jrv@debian.org>  Sat, 21 Feb 2009 20:54:26 -0500

pspp (0.6.1-2) unstable; urgency=low

  * Install pspp.desktop file (Thanks to "Bojo 42" <bojo42@googlemail.com>)

 -- James R. Van Zandt <jrv@debian.org>  Fri, 20 Feb 2009 20:18:02 -0500

pspp (0.6.1-1) unstable; urgency=low

  * New upstream release (closes:Bug#502856)
  
  * debian/rules: enable parallel builds



## pspp 0.7.9+git20120319

=== debian/changelog ===
pspp (0.7.9+git20120319-1) unstable; urgency=low

  * New upstream snapshot, fix testsuite errors on Ubuntu precise i386.

 -- bojo42 <bojo42@gmail.com>  Mon, 26 Mar 2012 22:08:23 +0200

## pspp 0.7.9+git20120620

=== Makefile ===
# GNU Makefile for gnulib central.
# Copyright (C) 2006, 2009-2011 Free Software Foundation, Inc.
#
# Copying and distribution of this file, with or without modification,
# in any medium, are permitted without royalty provided the copyright
# notice and this notice are preserved.

# This Makefile requires the use of GNU make.  Some targets require
# that you have tools like git, makeinfo and cppi installed.

# Required for the use of <(...) below.
SHELL=/bin/bash

# Produce some files that are not stored in the repository.
all:

# Produce the documentation in readable form.
info html dvi pdf:
	cd doc && $(MAKE) $@ && $(MAKE) mostlyclean

# Collect the names of rules starting with `sc_'.
syntax-check-rules := $(sort $(shell sed -n 's/^\(sc_[a-zA-Z0-9_-]*\):.*/\1/p'\
			Makefile))

# Perform some platform independent checks on the gnulib code.
check: $(syntax-check-rules)

sc_prefer_ac_check_funcs_once:
	if test -d .git; then						\
	  git grep -w -l AC_CHECK_FUNCS modules				\
	    && { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS	\
		   in modules/ 1>&2; exit 1; } || :			\
	else :; fi

sc_prohibit_leading_TABs:
	if test -d .git; then						\
	  git grep -l '^ *	' lib m4 tests				\
	    | grep -Ev '^lib/reg|Makefile|test-update-copyright'	\
	    | grep .							\
	    && { printf '*** %s\n' 'indent with spaces, not TABs;'	\
		 1>&2; exit 1; } || :					\
	else :; fi

sc_prohibit_augmenting_PATH_via_TESTS_ENVIRONMENT:
	if test -d .git; then						\
	  url=http://thread.gmane.org/gmane.comp.lib.gnulib.bugs/22874;	\
	  git grep '^[	 ]*TESTS_ENVIRONMENT += PATH=' modules		\
	    && { printf '%s\n' 'Do not augment PATH via TESTS_ENVIRONMENT;' \
		 "  see <$$url>" 1>&2; exit 1; } || :			\
	else :; fi

# Files in m4/ that (exceptionally) may use AC_LIBOBJ.
# Do not include their ".m4" suffix.
allow_AC_LIBOBJ =	\
  close			\
  dprintf		\
  dup2			\
  faccessat		\
  fchdir		\
  fclose		\
  fcntl			\
  fprintf-posix		\
  open			\
  printf-posix-rpl	\
  snprintf		\
  sprintf-posix		\
  stdio_h		\
  vasnprintf		\
  vasprintf		\
  vdprintf		\
  vfprintf-posix	\
  vprintf-posix		\
  vsnprintf		\
  vsprintf-posix

allow_AC_LIBOBJ_or := $(shell echo $(allow_AC_LIBOBJ) | tr -s ' ' '|')

sc_prohibit_AC_LIBOBJ_in_m4:
	url=http://article.gmane.org/gmane.comp.lib.gnulib.bugs/26995;	\
	if test -d .git; then						\
	  git ls-files m4						\
	     | grep -Ev '^m4/($(allow_AC_LIBOBJ_or))\.m4$$'		\
	     | xargs grep '^ *AC_LIBOBJ('				\
	    && { printf '%s\n' 'Do not use AC_LIBOBJ in m4/*.m4;'	\
		 "see <$$url>"; exit 1; } || :;				\
	else :; fi

sc_pragma_columns:
	if test -d .git; then						\
	  git ls-files|grep '\.in\.h$$'					\
	      | xargs grep -l '^@PRAGMA_SYSTEM_HEADER@'			\
	      | xargs grep -L '^@PRAGMA_COLUMNS@'			\
	      | grep .							\
	    && { printf '%s\n'						\
		   'the files listed above use @PRAGMA_SYSTEM_HEADER@'	\
		   'without also using @PRAGMA_COLUMNS@' 1>&2;		\
		 exit 1; } || :;					\
	else :; fi

# Verify that certain (for now, only Jim Meyering and Eric Blake's)
# *.c files are consistently cpp indented.
sc_cpp_indent_check:
	./gnulib-tool --extract-filelist \
	    $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
	  | sort -u \
	  | grep '\.c$$' \
	  | grep -vE '/(stdio-(read|write)|getloadavg)\.c$$' \
	  | xargs cppi -c

# Ensure that the list of symbols checked for by the
# sc_prohibit_intprops_without_use rule match those in the actual file.
# Extract the symbols from the .h file and compare with the list of
# symbols extracted from the rule in maint.mk.
sc_check_sym_list:
	i=lib/intprops.h; \
	diff -u <(perl -lne '/^# *define ([A-Z]\w+)\(/ and print $$1' $$i|fmt) \
	  <(sed -n /^_intprops_name/,/^_intprops_syms_re/p top/maint.mk \
	    |sed '/^_/d;s/^  //;s/	*\\$$//')

# Ensure that the copyright statements in files and in the module descriptions
# are consistent.
sc_check_copyright:
	./check-copyright

# Regenerate some files that are stored in the repository.
regen: MODULES.html

# MODULES.html is periodically being generated and copied to the web pages at
# :ext:USER@cvs.savannah.gnu.org:/web/gnulib/gnulib/
# where it then appears at <http://www.gnu.org/software/gnulib/MODULES.html>.
MODULES.html: MODULES.html.sh
	./MODULES.html.sh > MODULES.html

# Run this rule once per year (usually early in January)
# to update all FSF copyright year lists here.
# We exclude the files listed in srclist.txt (maintained elsewhere)
# as well as those in tests/unictype (generated).
# Also exclude any file that includes the "GENERATED AUTOMATICALLY" comment,
# being careful not to exclude code that merely generates the comment.
# Also exclude doc/INSTALL*, since they too are generated.
update-copyright:
	exempt=$$(mktemp);						\
	grep -v '^#' config/srclist.txt|grep -v '^$$'			\
	  | while read src dst; do					\
	      test -f "$$dst" && { echo "$$dst"; continue; };		\
	      test -d "$$dst" || continue;				\
	      echo "$$dst"/$$(basename "$$src");			\
	    done > $$exempt;						\
	git ls-files tests/unictype >> $$exempt;			\
	git ls-files doc/INSTALL* >> $$exempt;				\
	git ls-files | grep -vFf $$exempt				\
	  | xargs grep -L '^/\*.*GENERATED AUTOMATICALLY'		\
	  | UPDATE_COPYRIGHT_MAX_LINE_LENGTH=79				\
	    UPDATE_COPYRIGHT_USE_INTERVALS=1				\
	      xargs build-aux/update-copyright

=== debian/changelog ===
pspp (0.7.9+git20120620-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/fix_ftbfs_gets: Apply patch from Ubuntu to fix FTBFS with
    eglibc 2.17. (Closes: #708807)
  * debian/patches/texinfo-5: Apply patch from upstream to fix FTBFS with
    texinfo 5.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 May 2013 12:37:54 +0200

pspp (0.7.9+git20120620-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/699263: Add patch from upstream to fix test suite failures.
    Since the default epoch depends on the current year, the test suite broke
    on January 1, 2013. The patch adds the epoch to the test suite. (Closes:
    #699263)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Feb 2013 00:25:38 +0100

pspp (0.7.9+git20120620-1) unstable; urgency=low

  * New upstream snapshot, fixes non-ASCII import issue (Closes: #676371).

 -- bojo42 <bojo42@gmail.com>  Sun, 24 Jun 2012 23:57:16 +0200

=== debian/control ===
Source: pspp
Section: math
Priority: optional
Maintainer: bojo42 <bojo42@gmail.com>
Uploaders: Ben Pfaff <blp@cs.stanford.edu>
Build-Depends: debhelper (>= 7.0.50~),
               gettext (>= 0.17),
               libncurses5-dev,
               texlive,
               texi2html,
               libgsl0-dev,
               texinfo (>= 4.7),
               libreadline-dev,
               libxml2-dev,
               zlib1g-dev,
               libcairo2-dev (>= 1.5),
               libpango1.0-dev (>= 1.22),
               autoconf (>= 2.60),
               automake (>= 1.10),
               m4 (>= 1.4.9),
               pkg-config (>= 0.21),
               gperf (>= 3.0.1),
               libtool (>= 1.5.22),
               libgtk2.0-bin,
               libgtksourceview2.0-dev (>= 2.2.0),
               libpq-dev,
               postgresql [!hurd-i386],
               perl,
               libtext-diff-perl,
               librsvg2-bin
Standards-Version: 3.9.3
Homepage: http://savannah.gnu.org/projects/pspp

Package: pspp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: Statistical analysis tool
 PSPP is a program for statistical analysis of sampled data. It is a free
 replacement for the proprietary program SPSS.
 .
 PSPP supports T-tests, ANOVA, GLM, factor analysis, non-parametric tests, and
 other statistical features. PSPP produces statistical reports in plain text,
 PDF, PostScript, CSV, HTML, SVG, and OpenDocument formats.
 .
 PSPP has both text-based and graphical user interfaces. The PSPP user interface
 has been translated into a number of languages.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	# We ship Debian's gnulib as a supplementary tarball, see README.Source
	make -f Smake GNULIB=gnulib
	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc --without-libreadline-prefix

override_dh_auto_build:
	# Commands to compile the package.
	dh_auto_build -- all html pdf

override_dh_auto_test:
	# Post the testsuite results to the build log on failures
	dh_auto_test || { cat $(CURDIR)/tests/testsuite.log; false; }

override_dh_auto_install:
	# Add here commands to install the package into debian/pspp
	dh_auto_install

	# Remove unwanted info dir file if auto-generated
	rm -f $(CURDIR)/debian/pspp/usr/share/info/dir $(CURDIR)/debian/pspp/usr/share/info/dir.*

	# Install Emacsen file
	install -m 644 $(CURDIR)/pspp-mode.el $(CURDIR)/debian/pspp/usr/share/emacs/site-lisp/pspp/pspp-mode.el

	# Install icon files & remove icon cache if present
	cp $(CURDIR)/debian/pspp.svg $(CURDIR)/debian/pspp/usr/share/icons/hicolor/scalable/apps/pspp.svg
	rsvg-convert -a -w 48 -h 48 $(CURDIR)/debian/pspp.svg -o $(CURDIR)/debian/pspp/usr/share/icons/hicolor/48x48/apps/pspp.png
	rsvg-convert -a -w 64 -h 64 $(CURDIR)/debian/pspp.svg -o $(CURDIR)/debian/pspp/usr/share/icons/hicolor/64x64/apps/pspp.png
	rm -f $(CURDIR)/debian/pspp/usr/share/icons/hicolor/icon-theme.cache

	# Empty dependency_libs
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`

override_dh_compress:
	dh_compress --exclude=.pdf --exclude=.xml

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
ftp://ftp.gnu.org/pub/gnu/pspp/pspp-(.*)\.tar\.gz	debian	uupdate

## pspp 0.8.3

=== debian/changelog ===
pspp (0.8.3-4) unstable; urgency=low

  * debian/source/options: added extend-diff-ignore such that debuild
    can be used several times and is not disturbed by differences between
    the source package and modified files like doc/pspp.xml
  * debian/patches/texi-vers.patch: This patch is a workaround for
    the parallel build problem due to vti.tmp file. The problem is
    described here: https://savannah.gnu.org/bugs/?43029
  * debian/rules: parallel build is enabled

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 20 Aug 2014 17:30:44 +0200

pspp (0.8.3-3) unstable; urgency=low

  * debian/rules: added autoreconf as proposed by Breno Leitao
    see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=758539
    for the ppc64el architecture
  * debian/patches/texinfo.diff: fix problem with updated texinfo.tex
    When using autoreconf, the build-aux/texinfo.tex is updated. Fixed
    a problem with statistics.texi compatibility.
  * debian/rules: fixed testsuite.log dump to logfile
    The testsuite was run twice. I moved it to dh_auto_test section

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 19 Aug 2014 17:30:44 +0200

pspp (0.8.3-2) unstable; urgency=low

  * debian/rules: Fixed bug in previous update

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 18 Aug 2014 09:30:44 +0200

pspp (0.8.3-1.3) unstable; urgency=low

  * debian/rules: Disable compiler optimization on armhf because tests
    that use the MEANS procedure segfault with a null pointer dereference
    with GCC 4.9.1, in a way that doesn't look like a program bug.

 -- Ben Pfaff <pfaffben@debian.org>  Sun, 17 Aug 2014 12:26:12 -0700

pspp (0.8.3-1.2) unstable; urgency=low

  * debian/rules: Fix bug in previous update.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 16 Aug 2014 14:08:30 -0700

pspp (0.8.3-1.1) unstable; urgency=low

  * debian/rules: Dump testsuite.log to stdout on failure to make
    autobuilder test failures easier to debug.

 -- Ben Pfaff <pfaffben@debian.org>  Sat, 16 Aug 2014 09:41:42 -0700

pspp (0.8.3-1) unstable; urgency=low

  * upgrade to upstream version 0.8.3
  * debian/patches/test1039fix.patch: Add patch to fix a test failure in sid.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Thu, 07 Aug 2014 03:04:58 +0200

=== debian/control ===
Source: pspp
Section: math
Priority: optional
Maintainer: Friedrich Beckmann <friedrich.beckmann@gmx.de>
Uploaders: Ben Pfaff <blp@cs.stanford.edu>
Build-Depends: debhelper (>= 9.0.0),
               perl,
               texinfo (>= 4.7),
               texlive,
               libgsl0-dev (>= 1.13),
               libgtk2.0-dev (>= 2.24),
               libgtksourceview2.0-dev (>= 2.2),
               libxml2-dev,
               libreadline-dev,
               libglib2.0-dev,
               libcairo2-dev (>= 1.5),
               libpango1.0-dev (>= 1.22),
               zlib1g-dev,
               libncurses5-dev,
               pkg-config (>= 0.21), 
               postgresql [!hurd-i386],
               libtext-diff-perl,
               libpq-dev,
               dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://savannah.gnu.org/projects/pspp

Package: pspp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Statistical analysis tool
 PSPP is a program for statistical analysis of sampled data. It is a free
 replacement for the proprietary program SPSS.
 .
 PSPP supports T-tests, ANOVA, GLM, factor analysis, non-parametric tests, and
 other statistical features. PSPP produces statistical reports in plain text,
 PDF, PostScript, CSV, HTML, SVG, and OpenDocument formats.
 .
 PSPP has both text-based and graphical user interfaces. The PSPP user interface
 has been translated into a number of languages.

## pspp 0.8.4

=== debian/changelog ===
pspp (0.8.4-1) unstable; urgency=low

  * New upstream release 0.8.4
  * Formatting of SYSFILE INFO output was made easier to read.
  * Bug fixes in upstream, including the following notable ones:
  * FREQUENCIES works properly for string variables.  (This bug was
    introduced in 0.8.2.)
  * CROSSTABS now correctly computes all of the measures that it
    offers.  Some measures have been removed because they were not
    computed correctly.
  * The NPAR TESTS calculation of significance for the RUNS
    subcommand has been corrected.
  * Planned comparisons in ONEWAY ANOVA now correctly handle negative
    T-values.
  * Conformance fixes to Open Document output format.
  * In the debian package the following patches are removed
  * debian/patches/test1039fix.patch removed because it is fixed upstream
    fixes https://bugs.debian.org/720865
  * debian/patches/texinfo.diff removed because it is fixed upstream
    fixes https://bugs.debian.org/758539
  * debian/patches/u8istream.patch removed because it is fixed upstream
    fixes https://bugs.debian.org/760841
  * The following patches are still applied
  * debian/patches/texi-vers.patch as this is a workaround for a bug in automake
    see https://bugs.debian.org/759102
  * debian/patches/fix_paths_in_manpage
    this is an adaption to debian
  * The following NEW patch is introduced
  * debian/patches/render-test.patch fixes a security error which is shown due
    to the debian compiler warning settings. This stops the build in debian.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 28 Sep 2014 20:35:44 +0200

pspp (0.8.3-6) unstable; urgency=low

  * debian/patches/texi-vers.patch: This patch was removed due to a mistake
    in the previous version and is now back. So this is bugfix.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 10 Sep 2014 20:35:44 +0200

pspp (0.8.3-5) unstable; urgency=low

  * debian/patches/u8istream.patch: This patch fixes a bug which
    showed up in regression on kfreebsd. The bug description is here:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=760841
    The bug is already fixed upstream.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 09 Sep 2014 20:48:44 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libtext-diff-perl,
                libpq-dev,
                dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp

## pspp 0.8.5

=== debian/changelog ===
pspp (0.8.5-5build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 10:07:34 -0500

pspp (0.8.5-5) unstable; urgency=low

  * changed libgsl dependency from libgsl0-dev to libgsl-dev (version 2) to fix
    debian GSL transition bug. Closes: Bug#804498.
  * removed pspp.lintian override postrm

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 13 Nov 2015 08:06:00 +0200

pspp (0.8.5-4) unstable; urgency=low

  * added emacsen-compat file to install pspp emacs mode without error
    messages
  * added emacsen-common as dependency as required by debian-emacs-policy
  * removed debian/pspp.manpages as all manpages are now installed directly

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 26 Jun 2015 18:06:00 +0200

pspp (0.8.5-3) unstable; urgency=low

  * debian/patches/render.patch modified to fix the regression failure
    on s390x and ppc64. Also the pdf export bug via gui described in
    https://savannah.gnu.org/bugs/?45272 is fixed.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 24 Jun 2015 13:06:00 +0200

pspp (0.8.5-2) unstable; urgency=low

  * debian/patches/render.patch added to fix problem
    https://savannah.gnu.org/bugs/?45272 which is maybe
    the reason for the s390 regression failure

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 22 Jun 2015 13:06:00 +0200

pspp (0.8.5-1) unstable; urgency=low

  * New upstream release 0.8.5
  * The FREQUENCIES and CROSSTABS commands can now generate barcharts.
  * The FACTOR command can now perform PROMAX rotations.
  * SPSS/PC+ system files are now supported on GET and other commands
    that read SPSS system files.  The pspp-convert program can now read
    SPSS/PC+ system files.  Writing the obsolete SPSS/PC+ system file
    format is not supported.
  * SYSFILE INFO can now read SPSS/PC+ system files and SPSS portable
    files.
  * FREQUENCIES: A bug was fixed where an assertion failure occured
    when an empty dataset was presented.
  * The GRAPH command is now available.  Initially it supports
    scatterplots and histograms.
  * The RND operator in expressions now supports additional operands
    for rounding to values other than integers and to indicate a level
    of rounding fuzz.  The default rounding fuzz may now be controlled
    and displayed with SET FUZZBITS and SHOW FUZZBITS, respectively.
  * patch debian/patches/render-test.patch removed (fixed)
  * patch debian/patches/fix_paths_in_manpage removed (fixed)
  * debian/patches/texi-vers.patch is still applied because the fixed
    autotools version is not in debian yet

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sat, 20 Jun 2015 16:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                perl,
                texinfo (>= 4.7),
                texlive,
-               libgsl0-dev (>= 1.13),
+               libgsl-dev (>= 2.0),
                libgtk2.0-dev (>= 2.24),
                libgtksourceview2.0-dev (>= 2.2),
                libxml2-dev,
@@ -21,6 +21,7 @@
                postgresql [!hurd-i386],
                libtext-diff-perl,
                libpq-dev,
+	       emacsen-common (>= 2.0.8),
                dh-autoreconf
 Standards-Version: 3.9.6
 Homepage: http://savannah.gnu.org/projects/pspp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

# Disable optimization on armhf because tests that use the MEANS
# procedure segfault on a null pointer dereference with GCC 4.9.1, in
# a way that doesn't look like a program bug.
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),armhf)
CONFIGUREFLAGS = CFLAGS=-O0
else
CONFIGUREFLAGS =
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_build:
	dh_auto_build -- all html pdf

override_dh_auto_test:
	# Post the testsuite results to the build log on failures
	dh_auto_test -- TESTSUITEFLAGS='$(PARALLEL)' || { cat $(CURDIR)/tests/testsuite.log; false; }

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath $(CONFIGUREFLAGS)

override_dh_install:
	# Delete the .la files 
	find debian -name '*.la' -delete
	dh_install --fail-missing

override_dh_compress:
	dh_compress --exclude=.pdf --exclude=.xml

## pspp 0.10.1

=== debian/changelog ===
pspp (0.10.1-2build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:07:54 +0000

pspp (0.10.1-2) unstable; urgency=low

  * Removed armhf special gcc optimization option in rules
  * Removed hurd-i386 postgresql special treatment in control

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 04 Apr 2016 12:39:28 +0200

pspp (0.10.1-1) unstable; urgency=low

  * New upstream releae 0.10.1
  * fixed a bug where certain dialog boxes could not be properly populated
  * various commands hardened against invalid syntax
  * translation updates
  * removed debian patch formatstring.patch which is included upstream

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 03 Apr 2016 10:33:42 +0200

pspp (0.10.0-1) unstable; urgency=low

  * New upstream release 0.10.0
  * Migrated from gtk2 to gtk3
  * Graphs menu for the GRAPH command
  * pspp-convert can convert encrypted syntax files
  * New commands: SORT VARIABLES, REPLACE, STRUNC, MEDIAN
  * QUICK CLUSTER with /PRINT subcommand
  * Debian unstable now uses automake v15. Removed texi-vers.patch as the fix is
    contained in automake. Closes: Bug#759102
  * Removed render.patch as this is fixed upstream.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 28 Mar 2016 12:36:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,26 @@
 Uploaders: Ben Pfaff <blp@cs.stanford.edu>
 Build-Depends: debhelper (>= 9.0.0),
                perl,
-               texinfo (>= 4.7),
+               texinfo (>= 5.2),
                texlive,
+	       texlive-generic-recommended,
                libgsl-dev (>= 2.0),
-               libgtk2.0-dev (>= 2.24),
-               libgtksourceview2.0-dev (>= 2.2),
+               libgtk-3-dev (>= 3.4),
+               libgtksourceview-3.0-dev (>= 3.4),
                libxml2-dev,
                libreadline-dev,
                libglib2.0-dev,
-               libcairo2-dev (>= 1.5),
+               libcairo2-dev (>= 1.12),
                libpango1.0-dev (>= 1.22),
                zlib1g-dev,
                libncurses5-dev,
                pkg-config (>= 0.21), 
-               postgresql [!hurd-i386],
+               postgresql,
                libtext-diff-perl,
                libpq-dev,
 	       emacsen-common (>= 2.0.8),
                dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp

## pspp 0.10.2

=== debian/changelog ===
pspp (0.10.2-1) unstable; urgency=low

  * New upstream release 0.10.2
  * CROSSTABS: Implement COUNT subcommand to round case or cell weights.
  * scatterplot: changed colorscheme - first color is black
  * help: start html help via browser / make it work on osx and windows
  * several bug fixes
  * reintroduced hurd-i386 postgresql special treatment

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Wed, 14 Sep 2016 12:16:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,9 @@
 Priority: optional
 Maintainer: Friedrich Beckmann <friedrich.beckmann@gmx.de>
 Uploaders: Ben Pfaff <blp@cs.stanford.edu>
+# postgresql is disabled on hurd-i386 in order to remove
+# postgres support which will not build on hurd-i386
+# see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820743
 Build-Depends: debhelper (>= 9.0.0),
                perl,
                texinfo (>= 5.2),
@@ -19,12 +22,12 @@
                zlib1g-dev,
                libncurses5-dev,
                pkg-config (>= 0.21), 
-               postgresql,
+               postgresql [!hurd-i386],
                libtext-diff-perl,
                libpq-dev,
 	       emacsen-common (>= 2.0.8),
                dh-autoreconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp

## pspp 1.0.1

=== debian/changelog ===
pspp (1.0.1-1) unstable; urgency=low

  * New upstream release 1.0.1
  * Bugfixes for CVE-2017-12958,
	         CVE-2017-12959,
                 CVE-2017-12960 and
                 CVE-2017-12961.

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 27 Aug 2017 08:50:21 +0200

pspp (1.0.0-1) unstable; urgency=low

  * New upstream release 1.0.0
  * The REGRESSION command now has a /ORIGIN subcommand to perform
    regression through the origin.
  * The FACTOR command can now analyse matrix files prepared with MATRIX DATA.
  * The FACTOR command can now print the anti-image matrices.
  * The MATRIX DATA command has been added.
  * Some inappropriate properties in selection dialogs have been corrected.
  * A bug which could cause the HTML driver to go into a tight loop
    has been fixed.
  * An error in the FREQUENCIES procedure, where the word "Mean" was
    printed when "Variance" was appropriate has been fixed.
  * The ncurses library is no longer required or used.
  * A bug where the Mann-Whitney test would give misleading results
    if run on multiple variables and MISSING=ANALAYSIS was specified
    has been fixed.
  * Gtk+3.14.5 or later must now be used when building.
  * Graphical user interface changes:
     ** There is a new menu: Edit|Options
     ** The Non Parametric Statistics Menu
        has a new item: "K Independent Samples".
     ** Dialog boxes can now be canceled using the <Escape> key.
  * The AUTORECODE command now accepts an optional / before INTO.
  * The short form of the VECTOR command can now create string variables.
  * Bug fixes, including fixes for CVE-2017-10791 and CVE-2017-10792.
    Closes: #866890
  * Updated gnulib version which can be compiled with GCC7
    Closes: #853623

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 13 Aug 2017 08:50:21 +0200

pspp (0.10.2-2) unstable; urgency=low

  * fixes a regression bug where the initialization of the psql server fails
    Fixed with patch psql-regression.patch
    Closes: #850457
    Closes: #863933

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 26 Jun 2017 15:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -12,22 +12,21 @@
                texlive,
 	       texlive-generic-recommended,
                libgsl-dev (>= 2.0),
-               libgtk-3-dev (>= 3.4),
-               libgtksourceview-3.0-dev (>= 3.4),
+               libgtk-3-dev (>= 3.14.5),
+               libgtksourceview-3.0-dev (>= 3.14),
                libxml2-dev,
                libreadline-dev,
                libglib2.0-dev,
                libcairo2-dev (>= 1.12),
                libpango1.0-dev (>= 1.22),
                zlib1g-dev,
-               libncurses5-dev,
                pkg-config (>= 0.21), 
                postgresql [!hurd-i386],
                libtext-diff-perl,
                libpq-dev,
 	       emacsen-common (>= 2.0.8),
                dh-autoreconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp

=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,12 @@
 # Disable optimization on armhf because tests that use the MEANS
 # procedure segfault on a null pointer dereference with GCC 4.9.1, in
 # a way that doesn't look like a program bug.
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifeq ($(DEB_HOST_ARCH),armhf)
-CONFIGUREFLAGS = CFLAGS=-O0
-else
-CONFIGUREFLAGS =
-endif
+#DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+#ifeq ($(DEB_HOST_ARCH),armhf)
+#CONFIGUREFLAGS = CFLAGS=-O0
+#else
+#CONFIGUREFLAGS =
+#endif
 
 %:
 	dh $@ --parallel --with autoreconf

=== debian/watch ===
# Run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format
# Friedrich Beckmann Aug. 2014

# Compulsory line, this is a version 3 file
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://ftp.gnu.org/gnu/pspp/pspp-(.*)\.tar\.gz

## pspp 1.2.0

=== debian/changelog ===
pspp (1.2.0-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Take over package into Debian Science team maintenance

  [ Ben Pfaff ]
  * Issue error message for too-large extension records. (CVE-2018-20230)
    Closes: #916902

 -- Andreas Tille <tille@debian.org>  Tue, 23 Apr 2019 13:59:03 +0200

pspp (1.2.0-2) unstable; urgency=low

  * Fixed regression error in segmentation

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 26 Nov 2018 08:50:21 +0200

pspp (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0
  * New experimental command SAVE DATA COLLECTION to save MDD files.
  * MTIME and YMDHMS variable formats now supported.
  * Build changes:
    - zlib is now a required dependency.  (Previously it was optional.)
    - Gtk+3.18.0 or later must now be used when building.
    - The code implementing the sheet rendering has been removed.  Instead we
      use a third party library: spread-sheet-widget.
  * The "NOMISSING" keyword when generating syntax for piecharts in the
    frequencies command was omitted.  This has been corrected.
  * Regresssion fixed.
    Closes: #909857

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 6 Nov 2018 08:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,37 @@
 Source: pspp
 Section: math
 Priority: optional
-Maintainer: Friedrich Beckmann <friedrich.beckmann@gmx.de>
-Uploaders: Ben Pfaff <blp@cs.stanford.edu>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Friedrich Beckmann <friedrich.beckmann@gmx.de>,
+           Ben Pfaff <blp@cs.stanford.edu>
 # postgresql is disabled on hurd-i386 in order to remove
 # postgres support which will not build on hurd-i386
 # see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820743
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11~),
+               dh-elpa,
+	       python,
                perl,
                texinfo (>= 5.2),
                texlive,
 	       texlive-generic-recommended,
+	       libspread-sheet-widget-dev (>= 0.3),
                libgsl-dev (>= 2.0),
-               libgtk-3-dev (>= 3.14.5),
-               libgtksourceview-3.0-dev (>= 3.14),
+               libgtk-3-dev (>= 3.18.0),
+               libgtksourceview-3.0-dev (>= 3.18),
                libxml2-dev,
                libreadline-dev,
                libglib2.0-dev,
                libcairo2-dev (>= 1.12),
                libpango1.0-dev (>= 1.22),
                zlib1g-dev,
-               pkg-config (>= 0.21), 
+               pkg-config (>= 0.21),
                postgresql [!hurd-i386],
                libtext-diff-perl,
                libpq-dev,
-	       emacsen-common (>= 2.0.8),
-               dh-autoreconf
-Standards-Version: 4.0.1
+	       emacsen-common (>= 2.0.8)
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/science-team/pspp
+Vcs-Git: https://salsa.debian.org/science-team/pspp.git
 Homepage: http://savannah.gnu.org/projects/pspp
 
 Package: pspp

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+# dh_elpa is used for the emacs pspp-mode. This overrides
+# the default name for the emacs package
+export ELPA_NAME=pspp-mode
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -26,7 +30,7 @@
 #endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf,elpa
 
 override_dh_auto_build:
 	dh_auto_build -- all html pdf
@@ -39,10 +43,12 @@
 	dh_auto_configure -- --disable-rpath $(CONFIGUREFLAGS)
 
 override_dh_install:
-	# Delete the .la files 
+	# Delete the .la files
 	find debian -name '*.la' -delete
-	dh_install --fail-missing
+	dh_install
+
+override dh_missing:
+	dh_missing --fail-missing
 
 override_dh_compress:
 	dh_compress --exclude=.pdf --exclude=.xml
-

## pspp 1.4.0

=== debian/changelog ===
pspp (1.4.0-3) unstable; urgency=medium

  * added patch barchart-Sort-the-categories-before-displaying-the.patch

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Tue, 18 Aug 2020 13:26:26 +0200

pspp (1.4.0-2) unstable; urgency=medium

  * added patch fixed range check in parse_record_placement to fix
    regression failure on i386 architectures
  * added patch limit-the-number-of-variables-in-barchart.patch
    to fix regression failure on i386 systems

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Mon, 17 Aug 2020 21:48:27 +0200

pspp (1.4.0-1) unstable; urgency=medium

  * New upstream release 1.4.0
  * The file pspp-mode.el (the pspp-mode for Emacs) is no longer distributed
    with PSPP.  Instead, it can be installed directly in emacs and is available
    from https://elpa.gnu.org/packages/pspp-mode.html
  * The Find dialog box, when searching for numeric values, will match only
    to the precision of the variable's print format.  This avoids behaviour
    which is surprising to some users.
  * PSPP now supports the SPSS viewer (.spv) format that SPSS 16 and later
    use to save the contents of its output editor:
    - PSPP and PSPPIRE can write output to .spv files.
    - The new utility pspp-output can convert .spv files to other formats.
    - The pspp-convert utility can now decrypt encrypted .spv files.  The
      encrypted viewer file format is unacceptably insecure, so to
      discourage its use PSPP and PSPPIRE do not directly read or write
      this format.
  * A bug where the Data|Select Cases|Random Sample menu would generate
    invalid syntax has been fixed.
  * FREQUENCIES will emit a warning if one or more weight values are missing.
  * Plain text output is no longer divided into pages, since it is now
    rarely printed on paper.
  * pspp-convert improvements:
    - New "-a", "-l", "--password-list" options to search for an
      encrypted file's password.
    - New "--keep" and "--drop" options to output only selected variables.
    - New "--recode", "--no-var-name", "--labels", "--print-formats",
      "--decimal", "--delimiter", and "--qualifier" options to control
      CSV output.
  * Improvements to SAVE DATA COLLECTION support for MDD files.
  * Bug fix for CVE-2018-20230.
  * The /RENAME subcommand in SAVE TRANSLATE et al. has been extended
    to support the syntax also accepted by other software.
  * The EXAMINE command will now perform the Shapiro-Wilk test when
    one or more plots are requested.
  * The REGRESSION command now supports the /STATISTICS=TOL option which
    outputs tolerance and variance inflation factor metrics for the data.
  * The QUICK CLUSTER command now supports the /SAVE option which can
    be used to save the cases' cluster membership and/or their distance
    from the cluster centre to the active file.
  * The MEANS command has been re-implemented.
  * The GUI now has a sub-dialog for post-hoc tests of the oneway
    anova test.
  * Gtk+3.22.0 or later must now be used when building.
  * GRAPH: Categorical barcharts displaying percentages now show the
    sub-category as a percentage of the primary category instead of the
    total.
  * The Syntax Window now has a Find function to perform simple text
    searching.
  * AUTORECODE:
    - The PRINT subcommand is now implemented.
    - Many bug fixes.
  * Regression now works with python3
    Closes: #937328

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 16 Aug 2020 16:20:13 +0200

pspp (1.2.0-6) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Friedrich Beckmann ]
  * add patch widget.patch to fix FTBFS
    Closes: #966858
  * add patch delimiter.patch to fix regression failure
    see: https://savannah.gnu.org/bugs/?58943
  * remove elpa - pspp-mode.el moved to elpa repository
  * moved from python to python2 package name
    Closes: #967197
  * change maintainer to Beckmann - received no emails

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 14 Aug 2020 06:29:56 +0200

pspp (1.2.0-5) unstable; urgency=medium

  * set compiler optimization to -O2 for ppc64el
    Closes: #942609

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Sun, 24 May 2020 15:02:21 +0200

pspp (1.2.0-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Do not Build-Depend texlive-generic-recommended
    Closes: #932951
  * d/rules: remove old boilerplate
  * hardening=+all
  * sys-file-writer: Remove assertions based on file position.
    Fixes: CVE-2019-9211
    Closes: #923417

  [ Friedrich Beckmann ]
  * d/upstream/metadata - added bug link
  * removed postgresql due to license issue: #924937
  * d/copyright: added GFDL and CC-BY-SA license

 -- Friedrich Beckmann <friedrich.beckmann@gmx.de>  Fri, 22 May 2020 14:09:07 +0200

=== debian/control ===
Source: pspp
Section: math
Priority: optional
Maintainer: Friedrich Beckmann <friedrich.beckmann@gmx.de>
#           Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ben Pfaff <blp@cs.stanford.edu>
# postgresql is disabled on hurd-i386 in order to remove
# postgres support which will not build on hurd-i386
# see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820743
Build-Depends: debhelper-compat (= 13),
	       python3,
               perl,
               texinfo (>= 5.2),
               texlive,
	       libspread-sheet-widget-dev (>= 0.6),
               libgsl-dev (>= 2.0),
               libgtk-3-dev (>= 3.22.0),
               libgtksourceview-3.0-dev (>= 3.22),
               libxml2-dev,
               libreadline-dev,
               libglib2.0-dev,
               libcairo2-dev (>= 1.12),
               libpango1.0-dev (>= 1.22),
               zlib1g-dev,
               pkg-config (>= 0.21),
               libtext-diff-perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/pspp
Vcs-Git: https://salsa.debian.org/science-team/pspp.git
Homepage: http://savannah.gnu.org/projects/pspp
Rules-Requires-Root: no

Package: pspp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Statistical analysis tool
 PSPP is a program for statistical analysis of sampled data. It is a free
 replacement for the proprietary program SPSS.
 .
 PSPP supports T-tests, ANOVA, GLM, factor analysis, non-parametric tests, and
 other statistical features. PSPP produces statistical reports in plain text,
 PDF, PostScript, CSV, HTML, SVG, and OpenDocument formats.
 .
 PSPP has both text-based and graphical user interfaces. The PSPP user interface
 has been translated into a number of languages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# Parallel regression run
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
PARALLEL =
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all html pdf

override_dh_auto_test:
	# Post the testsuite results to the build log on failures
	dh_auto_test -- TESTSUITEFLAGS='$(PARALLEL)' || { cat $(CURDIR)/tests/testsuite.log; false; }

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath $(CONFIGUREFLAGS)

override_dh_install:
	# Delete the .la files
	find debian -name '*.la' -delete
	find debian/pspp/usr/share -empty -type d -delete
	dh_install

override_dh_compress:
	dh_compress --exclude=.pdf --exclude=.xml
